import os
import sqlite3

DB_NAME = 'twstock.db'
DB_DIR = os.path.join(os.getcwd(), DB_NAME)
CONN = sqlite3.connect(DB_DIR)

INCOME_STATEMENT_PK = ['類型','年度', '季', '公司代號', '公司名稱']
MONTH_REVENUE_COL = ['類型','年','月','公司代號','公司名稱','當月營收','上月營收',
                     '去年當月營收','上月比較增減(%)','去年同月增減(%)','當月累計營收',
                     '去年累計營收','前期比較增減(%)','備註']
MONTH_REVENUE_COMBINE_COL = \
    ['類型','年','月','公司代號','公司名稱','當月合併營收','上月合併營收',
     '去年當月合併營收','上月比較增減(%)','去年同月增減(%)','當年累計營收',
     '去年累計營收','前期比較增減(%)']
MONTH_REVENUE_COMBINE_COL_NAME = \
    ['類型','年','月','公司代號','公司名稱','當月營收','上月營收',
     '去年當月營收','上月比較增減(%)','去年同月增減(%)','當月累計營收',
     '去年累計營收','前期比較增減(%)']
